Webhooks
Create webhook
Create a webhook subscription for link events. The webhook URL receives POST requests when the subscribed events occur (e.g., link clicked, link created, uptime alert).
curl -X POST "https://api.mythic-analytics.com/api/v1/links/webhooks" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"url": "https://api.acme-retail.com/webhooks/links",
"events": [
"link.clicked",
"uptime.down"
],
"secret": "example_string",
"metadata": {}
}'
import requests
import json
url = "https://api.mythic-analytics.com/api/v1/links/webhooks"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"url": "https://api.acme-retail.com/webhooks/links",
"events": [
"link.clicked",
"uptime.down"
],
"secret": "example_string",
"metadata": {}
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.mythic-analytics.com/api/v1/links/webhooks", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"url": "https://api.acme-retail.com/webhooks/links",
"events": [
"link.clicked",
"uptime.down"
],
"secret": "example_string",
"metadata": {}
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"url": "https://api.acme-retail.com/webhooks/links",
"events": [
"link.clicked",
"uptime.down"
],
"secret": "example_string",
"metadata": {}
}`)
req, err := http.NewRequest("POST", "https://api.mythic-analytics.com/api/v1/links/webhooks", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.mythic-analytics.com/api/v1/links/webhooks')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"url": "https://api.acme-retail.com/webhooks/links",
"events": [
"link.clicked",
"uptime.down"
],
"secret": "example_string",
"metadata": {}
}'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"id": "whk_7kH3nPqR",
"url": "https://api.acme-retail.com/webhooks/links",
"events": [
"link.clicked",
"uptime.down"
],
"active": true,
"metadata": {},
"created_at": "2024-05-20T10:00:00.000Z"
}
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
POST
/links/webhooks
POST
Security Scheme
Bearer Tokenstring
RequiredAdmin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Admin API key as bearer token. Format:
Bearer YOUR_ADMIN_KEYContent-Typestring
RequiredThe media type of the request body
Options: application/json
urlstring
RequiredEndpoint URL that receives webhook POST requests.
Format: uri
eventsarray
RequiredEvents to subscribe to.
secretstring
Optional secret for HMAC signature verification.
metadataobject
Arbitrary metadata attached to the webhook.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Body
application/json
urlstring
RequiredEndpoint URL that receives webhook POST requests.
eventsarray
RequiredEvents to subscribe to.
secretstring
Optional secret for HMAC signature verification.
metadataobject
Arbitrary metadata attached to the webhook.
Responses
Was this page helpful?
Built with Documentation.AI
Last updated today